# $Revision: 1.10 $, $Date: 2007/02/13 07:47:13 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Math
%define		pnam	FixedPrecision
Summary:	Math::FixedPrecision - decimal math without floating point errors
Summary(pl.UTF-8):	Math::FixedPrecision - obliczenia dziesiętne bez błędów zmiennoprzecinkowych
Name:		perl-Math-FixedPrecision
Version:	0.21
Release:	1
License:	GPL v1+ or Artistic except commercial distribution on CD-ROM etc.
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	3999a0e6ca3b6ad73f25466af6025c7f
Patch0:		%{name}-perl_paths.patch
BuildRequires:	perl-Math-BigInt
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
There are numerous instances where floating point math is unsuitable,
yet the data does not consist solely of integers. This module employs
new features in Math::BigFloat to automatically maintain precision
during math operations. This is a convenience module, since all of the
operations are handled by Math::BigFloat internally. You could do
everything this module does by setting some attributes in
Math::BigFloat. This module simplifies that task by assuming that if
you specify a given number of decimal places in the call to new() then
that should be the precision for that object going forward.

%description -l pl.UTF-8
Jest wiele sytuacji, gdzie obliczenia zmiennoprzecinkowe nie są
odpowiednie, chociaż dane nie składają się z samych liczb całkowitych.
Ten moduł dodaje nowe możliwości do modułu Math::BigFloat, aby ten
automatycznie obliczał dokładność w czasie obliczeń. Jest to wygodny
moduł, ponieważ wszystkie operacje są wykonywane wewnętrznie przez
Math::BigFloat. Można robić wszystko z tym modułem ustawiając atrybuty
w Math::BigFloat. Ten moduł upraszcza zadanie przyjmując, że jeśli
liczba znaczących cyfr dziesiętnych została podana w wywołaniu new(),
to taka dokładność powinna być potem wszędzie używana w odniesieniu do
tego obiektu.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p1

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Math/*.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Math-FixedPrecision.spec,v $
Revision 1.10  2007/02/13 07:47:13  glen
- tabs in preamble

Revision 1.9  2007/02/12 00:49:39  baggins
- converted to UTF-8

Revision 1.8  2006/08/08 14:38:10  sparky
- mass attack: s/%patch /%patch0 / -- usefull for overloaded %patch macro

Revision 1.7  2004/12/05 22:51:30  radek
- removed _noautoreqdep and explicit R/BR for Math::BigFloat

Revision 1.6  2004/11/03 22:30:34  paladine
- formatting

Revision 1.5  2004/05/06 18:43:17  ankry
- fixed perl-devel BR

Revision 1.4  2004/04/20 23:59:36  ankry
- ported to new bconds

Revision 1.3  2003/12/04 00:08:04  twittner
- fix requires

Revision 1.2  2003/12/03 23:16:41  twittner
- fix perl paths

Revision 1.1  2003/06/29 16:11:42  qboosh
- new
